ranges::views::remove_if_base_fn Struct Reference

Given a source range, unary predicate, and optional projection, present a view of the elements that do not satisfy the predicate. More...

`#include <range/v3/view/remove_if.hpp>`

Inheritance diagram for ranges::views::remove_if_base_fn:

## Public Member Functions

template<typename Rng , typename Pred >
CPP_TEMPLATE_AUX_0 | c (requires viewable_range< Rng > &&input_range< Rng > &&indirect_unary_predicate< Pred, iterator_t< Rng >>) ccconstexpr remove_if_view< all_t< Rng >
template<typename Rng , typename Pred , typename Proj >
CPP_TEMPLATE_AUX_0 | c (requires viewable_range< Rng > &&input_range< Rng > &&indirect_unary_predicate< Pred, projected< iterator_t< Rng >, Proj >>) ccconstexpr remove_if_view< all_t< Rng >
CPP_TEMPLATE_AUX_0 Pred | operator() (Rng &&rng, Pred pred) const
CPP_TEMPLATE_AUX_0 composed< Pred, Proj > | operator() (Rng &&rng, Pred pred, Proj proj) const

## Detailed Description

Given a source range, unary predicate, and optional projection, present a view of the elements that do not satisfy the predicate.